///////////////////////////////////////////////////////////////////////////////

#include"Kfig1.h"

#include "TMath.h"

#define SP15 setw(15)<<setprecision(9)
#define SP10 setw(10)<<setprecision(7)
#define SW10 setw(10)
///////////////////////////////////////////////////////////////////////////////
Kfig1::Kfig1(){
 TKfig();
 m_pi  = 3.14159;
}/// 

/////////////////////////////////////////////////////////////////////
void Kfig1::Info(){
  cout<< endl;
  cout<<"=============================== Kfig1 info ==================================="<<endl;
  cout<<"Name : "<<m_PlotSelector <<endl;
  cout<<"=============================== Kfig1 info end ================================"<<endl;

}///

//______________________________________________________________________________
double Kfig1::DistSelector1D(double x, TString FuncType)
{
 //cout<<"=========================== Kfig1 DistSelector1D ============================="<<endl;
//identity
  if (FuncType == "I")	return x;
  else if (FuncType == "Example"){
//	if (x< 0.05 || x> 0.95) return 0;
	double 	r = 0.45;
        double Dist = 0.0;
	if(x < 0.95 && x > 0.05){
	  Dist = sqr(m_pi) *(sqr(r) - sqr(x-0.5)) *.85;
	}
	return Dist;
  }else 	return TKfig::DistSelector1D(x, FuncType);
// 

}

